MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027499Open CASCADE[OCCT] OCCT:Configurationpublic2016-05-15 16:402018-07-23 13:32
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformMacOSOSOS VersionX
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027499: Configuration, CMake - add option INSTALL_NAME_DIR on OS X
DescriptionOn OS X libraries are usually installed not system-wise but within application bundle, having therefore relative installation paths.

Unlike on Windows, OS X linker does not look the libraries near executable location. To simulation the similar behavior, executable and libraries are usually use install_path with path specified though virtual @executable_path location.

Although this path can be changed using install_name_tool on OS X (unlike Linux, where path can be specified only at library building time), it is still more convenient to specify this path at libraries building step to avoid complex scripting at application packaging step.

CMake allows specifying the root of this path though INSTALL_NAME_DIR option:
set_target_properties (${PROJECT_NAME} PROPERTIES BUILD_WITH_INSTALL_RPATH 1 INSTALL_NAME_DIR "@executable_path/../Frameworks").

Therefore it is proposed to add this option in user interface.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0054042)
git (administrator)
2016-05-15 16:42

Branch CR27499 has been created by kgv.

SHA-1: 1787f7f55953cda1808cd7a70c7e1ee7243602f8


Detailed log of new commits:

Author: kgv
Date: Sun May 15 16:41:30 2016 +0300

    0027499: Configuration, CMake - add option INSTALL_NAME_DIR on OS X
(0054056)
kgv (developer)
2016-05-16 14:24

Patch is ready for review.
(0054085)
ibs (developer)
2016-05-17 10:22

there are no remarks
(0054173)
git (administrator)
2016-05-20 12:20

Branch CR27499 has been deleted by inv.

SHA-1: 1787f7f55953cda1808cd7a70c7e1ee7243602f8

- Related Changesets
occt: master 09eca2b5
Timestamp: 2016-05-15 13:41:30
Author: kgv
Committer: bugmaster
Details ] Diff ]
0027499: Configuration, CMake - add option INSTALL_NAME_DIR on OS X
mod - adm/cmake/occt_toolkit.cmake Diff ] File ]
mod - CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-05-15 16:40 kgv New Issue
2016-05-15 16:40 kgv Assigned To => kgv
2016-05-15 16:42 git Note Added: 0054042
2016-05-15 16:42 kgv Assigned To kgv => ibs
2016-05-15 16:42 kgv Status new => assigned
2016-05-16 14:24 kgv Note Added: 0054056
2016-05-16 14:24 kgv Status assigned => resolved
2016-05-17 10:22 ibs Note Added: 0054085
2016-05-17 10:22 ibs Status resolved => reviewed
2016-05-19 10:51 bugmaster Status reviewed => tested
2016-05-19 11:06 bugmaster Test case number => Not needed
2016-05-19 11:12 kgv Assigned To ibs => bugmaster
2016-05-20 11:18 bugmaster Changeset attached => occt master 09eca2b5
2016-05-20 11:18 bugmaster Status tested => verified
2016-05-20 11:18 bugmaster Resolution open => fixed
2016-05-20 12:20 git Note Added: 0054173
2016-12-09 16:33 user533 Status verified => closed
2016-12-09 16:37 user533 Fixed in Version => 7.1.0
2018-07-23 13:32 kgv Relationship added parent of 0029977


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker